"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var lodash_1 = require("lodash");
var path_1 = require("path");
function firstOf(aValue) {
    // test
    if (lodash_1.isString(aValue)) {
        return aValue;
    }
    if (lodash_1.isArray(aValue)) {
        // extract the first element
        var array = aValue;
        if (array.length > 0) {
            return firstOf(array[0]);
        }
        // nothing
        return undefined;
    }
    // nothing
    return aValue;
}
exports.firstOf = firstOf;
function arrayOf(aValue) {
    // test
    if (lodash_1.isString(aValue)) {
        return [aValue];
    }
    // default fallback
    return aValue;
}
exports.arrayOf = arrayOf;
function relativePath(aSrc, aDst) {
    return lodash_1.replace(path_1.relative(aSrc, aDst), /\\/g, '/');
}
exports.relativePath = relativePath;
