/* Copyright IBM Corp. 2017 */
import { Observable } from 'rxjs';

import { CMD_APP } from './../constants';
import { Options } from './../options';
import { AbstractWchToolsCommand } from './abstract.wchtools.command';

export class ApplicationPullCommand extends AbstractWchToolsCommand {

    static readonly TYPE = 'pull';

    static readonly COMMAND = CMD_APP;

    constructor(aOptions: Options) {
        super(aOptions);
    }

    process(): Observable<string> {
        return this.executeWchTools(['pull', '-tlmwaicrCp']);
    }
}
