import { CommandFactory } from "./commands/factory";
import { CreateReactCommand } from "./commands/create.react.command"
import { CreateVueCommand } from "./commands/create.vue.command"

/* Copyright IBM Corp. 2017 */

export const factory = new CommandFactory();
export const REACT_COMMAND_TYPE = CreateReactCommand.TYPE
export const VUE_COMMAND_TYPE = CreateVueCommand.TYPE

// for eric's testing workflow
export { runCli } from './driver/driver';