"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var operators_1 = require("rxjs/operators");
var show_version_command_1 = require("../src/commands/show.version.command");
var factory_1 = require("./../src/commands/factory");
describe('show.version', function () {
    it('should produce a version string', function () {
        var fct = new factory_1.CommandFactory();
        var opt = {
            'command': show_version_command_1.ShowVersionCommand.COMMAND,
            'commandType': show_version_command_1.ShowVersionCommand.TYPE,
            'allArgs': []
        };
        return fct.create(opt).process().pipe(operators_1.toArray()).toPromise()
            .then(function (res) {
            expect(res).toBeDefined();
            expect(res.length).toBe(1);
            expect(res[0]).toContain('version');
        });
    });
});
