"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var factory_1 = require("./commands/factory");
var create_react_command_1 = require("./commands/create.react.command");
var create_vue_command_1 = require("./commands/create.vue.command");
/* Copyright IBM Corp. 2017 */
exports.factory = new factory_1.CommandFactory();
exports.REACT_COMMAND_TYPE = create_react_command_1.CreateReactCommand.TYPE;
exports.VUE_COMMAND_TYPE = create_vue_command_1.CreateVueCommand.TYPE;
// for eric's testing workflow
var driver_1 = require("./driver/driver");
exports.runCli = driver_1.runCli;
