"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var assert_1 = require("./assert");
function getDistDir(aConfig) {
    // get the default project
    var defaultProject = aConfig.defaultProject;
    // sanity check
    assert_1.assertNotNull(defaultProject, 'defaultProject');
    // check the project
    var project = aConfig.projects[defaultProject];
    return project.architect.build.options.outputPath;
}
exports.getDistDir = getDistDir;
function getSrcDir(aConfig) {
    // get the default project
    var defaultProject = aConfig.defaultProject;
    // sanity check
    assert_1.assertNotNull(defaultProject, 'defaultProject');
    // check the project
    var project = aConfig.projects[defaultProject];
    return project.sourceRoot;
}
exports.getSrcDir = getSrcDir;
