/* Copyright IBM Corp. 2017 */
import { Observable } from 'rxjs';
import { Command } from './command';
import { empty } from 'rxjs';

export class EmptyCommand implements Command {

    static readonly TYPE = 'help';
    static readonly COMMAND = 'help';

    process(): Observable<string> {
        // nothing
        return empty();
    }

    printHelp(): void {
        console.log(EmptyCommand.COMMAND, EmptyCommand.TYPE);
    }
}
